import { fetch } from '@utils/request'
import {
  API_MY_CUSTOMER,
  API_CUSTOMER_LIST,
  API_CUSTOMER_DETAIL,
  API_VISIT_RECORD,
  API_ACTIVITY_LIST_CUSTOMER,
  API_FOLLOW_LIST
} from '@constants/api'


/**
 * 获取我的客户数据
 * @param {*} payload
 */
export const queryMyCustomer = payload => fetch({ url: API_MY_CUSTOMER, payload })

/**
 * 获取客户列表
 * @param {*} type  
 */
export const queryCustomerList = (type, payload) => fetch({ url: `${API_CUSTOMER_LIST}/${type}`, payload })
/**
 * 获取客户列表
 * @param {*} customerId  
 */
export const getCustomerDetail = (customerId, payload) => fetch({ url: `${API_CUSTOMER_DETAIL}/${customerId}`, payload })
/**
 * 获取访问记录
 * @param {*} payload  
 */
export const getVisitRecord = (payload) => fetch({ url: API_VISIT_RECORD, payload })
/**
 * 获取活动信息
 * @param {*} payload  
 */
export const getActivityList = (payload) => fetch({ url: API_ACTIVITY_LIST_CUSTOMER, payload })
/**
 * 获取跟进记录
 * @param {*} payload  
 */
export const getFollowRecord = (payload) => fetch({ url: API_FOLLOW_LIST, payload })
/**
 * 添加跟进记录
 * @param {*} payload  
 */
export const addFollowRecord = (payload) => fetch({ url: API_FOLLOW_LIST, payload, method: 'POST' })



